Bug 164739 - openoffice compile failure due to compiler memory usage
openoffice compile failure due to compiler memory usage
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-07-31 06:25 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-27 17:33:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
offending C++ file. (231.14 KB, application/octet-stream)
2005-07-31 06:25 EDT, David Woodhouse
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 20826 None None None Never
GNU Compiler Collection 22392 None None None Never

  None (edit)
Description David Woodhouse 2005-07-31 06:25:31 EDT
Compiling the attached file fails with '-fno-enforce-eh-specs -O2', even with
gigabytes of RAM and swap. After a few hours it says:

cc1plus: out of memory allocating 1643995136 bytes after a total of 94982144 bytes

It used to be fine with gcc 3.4.
Comment 1 David Woodhouse 2005-07-31 06:25:32 EDT
Created attachment 117321 [details]
offending C++ file.
Comment 2 Jakub Jelinek 2005-08-18 09:54:54 EDT
My guess is this is about inlining heuristics, with -O2 -fno-enforce-eh-specs
it creates a really huge function (almost 60000 basic blocks) and that obviously
then takes a lot of time and memory to process.  The inling heuristics have been
changed again in 4.1 (it is tweaked between all GCC releases).
If you use -Os -fno-enforce-eh-specs, it compiles almost instantly.
Comment 3 Jakub Jelinek 2005-09-27 17:33:48 EDT
I don't think it is a good idea to mess with GCC 4.0 inlining heuristics at this
point.  FC5 will very likely include GCC 4.1.

Note You need to log in before you can comment on or make changes to this bug.